package com.persagy.server.models.service

import cn.sagacloud.server.algorithm.models.entities.Door
import com.persagy.mybatis.SMybatisDao
import com.persagy.server.models.entities.Connector
import com.persagy.server.models.entities.Equipment
import com.persagy.server.models.entities.FloorModel
import com.persagy.service.SObjectService

object BaseDataService {
    val doorService = SObjectService(SMybatisDao(Door::class.java))
    val connectorService = SObjectService(SMybatisDao(Connector::class.java))
    val equipmentService = SObjectService(SMybatisDao(Equipment::class.java))
    val floorModelService = SObjectService(SMybatisDao(FloorModel::class.java))
}